## GstEncodeBaseBin

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstEncodeBaseBin

### Action Signals

#### request-pad

    g_signal_emit_by_name (encodebin, "request-pad", caps, &ret);

    ret = encodebin.emit ("request-pad", caps)

    let ret = encodebin.emit ("request-pad", caps);

Use this method to request an unused sink request GstPad that can take the provided caps as input. You must release the pad with gst_element_release_request_pad when you are done with it.

Parameters:

`encodebin` (GstElement *) –

a GstEncodeBaseBin instance

`caps` (GstCaps *) –

a GstCaps

Returns (GstPad *) –

A compatible GstPad, or NULL if no compatible GstPad could be created or is available.

Flags: Run Last / Action

#### request-profile-pad

    g_signal_emit_by_name (encodebin, "request-profile-pad", profilename, &ret);

    ret = encodebin.emit ("request-profile-pad", profilename)

    let ret = encodebin.emit ("request-profile-pad", profilename);

Use this method to request an unused sink request GstPad from the profile profilename. You must release the pad with gst_element_release_request_pad when you are done with it.

Parameters:

`encodebin` (GstElement *) –

a GstEncodeBaseBin instance

`profilename` (gchararray) –

the name of a GstEncodingProfile

Returns (GstPad *) –

A compatible GstPad, or NULL if no compatible GstPad could be created or is available.

Flags: Run Last / Action

### Properties

#### audio-jitter-tolerance

    “audio-jitter-tolerance” guint64

Amount of timestamp jitter/imperfection to allow on audio streams before inserting/dropping samples (ns)

Flags : Read / Write

Default value : 20000000

#### avoid-reencoding

    “avoid-reencoding” gboolean

Whether to re-encode portions of compatible video streams that lay on segment boundaries

Flags : Read / Write

Default value : false

#### flags

    “flags” GstEncodeBinFlags *

Control the behaviour of encodebin.

Flags : Read / Write

Default value : (none)

#### profile

    “profile” GstEncodingProfile *

The GstEncodingProfile to use. This property must be set before going to GST_STATE_PAUSED or higher.

Flags : Read / Write

#### queue-buffers-max

    “queue-buffers-max” guint

Max. number of buffers in the queue (0=disable)

Flags : Read / Write

Default value : 200

#### queue-bytes-max

    “queue-bytes-max” guint

Max. amount of data in the queue (bytes, 0=disable)

Flags : Read / Write

Default value : 10485760

#### queue-time-max

    “queue-time-max” guint64

Max. amount of data in the queue (in ns, 0=disable)

Flags : Read / Write

Default value : 1000000000

### Named constants

#### GstEncodeBinFlags

##### Members

`no-audio-conversion` (0x00000001) – Do not use audio conversion elements
`no-video-conversion` (0x00000002) – Do not use video conversion elements

The results of the search are